class InitState implements VehicleState{
    private Vehicle vehicle;

    @Override
    public void onAction() {
        System.out.printf("Przekręcanie kluczyka, pojazd: '%s'%n",vehicle);
    }

    @Override
    public void evaluate() {
        System.out.printf("Sekwencja inicjalizacji, pojazd: '%s'%n",vehicle);
    }

    @Override
    public void setVehicle(Vehicle vehicle) {
        this.vehicle = vehicle;
    }

    @Override
    public String toString() {
        return "InitState{" +
               "vehicle=" + vehicle.getModel() +
               '}';
    }
}
